## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pyedid
Version:        1.0.3
Release:        %autorelease
Summary:        Python EDID parser library

License:        MIT
URL:            https://github.com/dd4e/pyedid
Source:         %{url}/archive/v%{version}/pyedid-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
This is a python library to parse extended display identification data (EDID).}

%description %_description

%package -n python3-pyedid
Summary:        %{summary}

%description -n python3-pyedid %_description


%prep
%autosetup -p1 -n pyedid-%{version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pyedid


%check
%pytest


%files -n python3-pyedid -f %{pyproject_files}
%doc README.*


%changelog
* Wed Sep 20 2023 Juraj Marcin <juraj@jurajmarcin.com> 1.0.3-1
- Updated to version 1.0.3

* Tue Jul 11 2023 Juraj Marcin <juraj@jurajmarcin.com> 1.0.2-1
- Initial release
